﻿$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName
$url32       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.4.0/doxybook2-windows-win32-v1.4.0.zip'
$url64       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.4.0/doxybook2-windows-win64-v1.4.0.zip'
$checksum32  = '0e5989e31f1decbe5a0214917610e37798bff59ba6840811866f9ba758efbd4b'
$checksum64  = '42f537a7b2b4d3f54b65211f856b8f95a9b7227191d9ba70fa19484dfe5f6f07'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'ZIP'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = Split-Path $MyInvocation.MyCommand.Definition
  validExitCodes = @(0)
}
Install-ChocolateyZipPackage @packageArgs
